from django.urls import path

from .views import HomePageView
from .views import IngredientsListView
from .views import IngredientsDetailView
from .views import IngredientsUpdateView 
from .views import IngredientsCreateView 
from .views import RecipesListView
from .views import RecipesDetailView
from .views import RecipesUpdateView
from .views import RecipesCreateView
from .views import OrdersListView
from .views import OrdersDetailView
from .views import OrdersUpdateView
from .views import OrdersCreateView

urlpatterns = [
	path('home/', HomePageView.as_view(), name= 'home'),
	path('home/ingredients/', IngredientsListView.as_view(), name = 'home/ingredients'),
	path('home/ingredients/detail/', IngredientsDetailView.as_view(), name = 'home/ingredients/detail'),
	path('home/ingredients/update/', IngredientsUpdateView.as_view(), name = 'home/ingredients/update'),
	path('home/ingredients/create/', IngredientsCreateView.as_view(), name = 'home/ingredients/create'),
	path('home/recipes/', RecipesListView.as_view(), name= 'home/recipes'),
	path('home/recipes/detail/', RecipesDetailView.as_view(), name = 'home/recipes/detail'),
	path('home/recipes/update/', RecipesUpdateView.as_view(), name = 'home/recipes/update'),
	path('home/recipes/create/', RecipesCreateView.as_view(), name = 'home/recipes/create'),
	path('home/orders/', OrdersListView.as_view(), name = 'home/orders'),
	path('home/orders/detail/', OrdersDetailView.as_view(), name = 'home/orders/detail'),
	path('home/orders/update/', OrdersUpdateView.as_view(), name = 'home/orders/update'),
	path('home/orders/create/', OrdersCreateView.as_view(), name = 'home/orders/create'),
	
]